package sun.management.snmp.util;

import com.sun.jmx.mbeanserver.Util;
import com.sun.jmx.snmp.ThreadContext;
import java.util.Map;
import com.sun.jmx.snmp.SnmpStatusException;
import java.util.Collections;
import java.util.HashMap;
import com.sun.jmx.snmp.SnmpPdu;
import com.sun.jmx.snmp.agent.SnmpUserDataFactory;

public class JvmContextFactory implements SnmpUserDataFactory
{
    public JvmContextFactory() {
    }
    
    public Object allocateUserData(SnmpPdu snmpPdu) throws SnmpStatusException {
        return Collections.synchronizedMap(new HashMap());
    }
    
    public void releaseUserData(Object o, SnmpPdu snmpPdu) throws SnmpStatusException {
        ((Map)o).clear();
    }
    
    public static Map<Object, Object> getUserData() {
        Object value = ThreadContext.get("SnmpUserData");
        if ((value instanceof Map)) {
            return (Map)Util.cast(value);
        }
        return null;
    }
}
